<?php
//database_connect($puc, $lic);
if (isset($_GET['dist'])) {
     $amount = $_GET["amount"];
     $site_category = $_GET["site-category"];
     $dist_category = $_GET["dist-category"];
     $dist_collection = $_GET["dist-collection"];
     $fetch_dist = $_GET["dist"];
     $dist_sid = $_GET["sid"];

     if ($fetch_dist == 'gamemonetize') {
          $site = 'https://gamemonetize.com/feed.php?format=0&category=' . $dist_category;
          $sitesource = file_get_contents($site);
          $resultjson = json_decode($sitesource, true);
     } elseif ($fetch_dist == 'gamedistribution') {
          $site = 'https://catalog.api.gamedistribution.com/api/v2.0/rss/All/?format=json&categories=' . $dist_category . '&collection=' . $dist_collection;
          $sitesource = file_get_contents($site);
          $resultjson = json_decode($sitesource, true);
     } elseif ($fetch_dist == 'gamepix') {
          $site = 'https://games.gamepix.com/games?sid=' . $dist_sid . '&category=' . $dist_category . '&order=' . $dist_collection;
          $sitesource = file_get_contents($site);
          $json_parse = json_decode($sitesource, true);
          $resultjson = $json_parse['data'];
     }
 
     $dbrows = $db->prepare("SELECT COUNT(*) FROM games");
     $dbrows->execute();
     $dbrowsresult = $dbrows->fetchColumn();
     $dbrowslimit = $dbrowsresult + $amount;

     foreach ($resultjson as $key => $value) {
          if ($fetch_dist == 'gamemonetize') {
               $title = cleartitle($value["title"]);
               $description = $value["description"];
               $instructions = $value["instructions"];
               $source = $value["url"];
               $category = $site_category;
               $slug = seoslug($title);
               $image = $value["thumb"];
               $tags = current($value["tags"]);
               $created_date = date("d-m-Y H:i:s");
          } elseif ($fetch_dist == 'gamedistribution') {
               $title = cleartitle($value["Title"]);
               $description = $value["Description"];
               $instructions = $value["Instructions"];
               $source = $value["Url"];
               $category = $site_category;
               $slug = seoslug($title);
               $image = current($value["Asset"]);
               $tags = $value["Tag"];
               //$created_date = date("d-m-Y H:i:s");
          } elseif ($fetch_dist == 'gamepix') {
               $title = cleartitle($value["title"]);
               $description = $value["description"];
               $instructions = "";
               $source = $value["url"];
               $category = $site_category;
               $slug = seoslug($title);
               $image = $value["thumbnailUrl"];
               $tags = "";
               $created_date = date("d-m-Y H:i:s");
          }

          $dupli = $db
               ->from("games")
               ->select("count(id) as total")
               ->where("slug", $slug)
               ->total();

          if ($dupli < 1) {
               $countlimit = $db->prepare("SELECT COUNT(*) FROM games");
               $countlimit->execute();
               $countlimitresult = $countlimit->fetchColumn();

               if ($countlimitresult < $dbrowslimit) {
                    $query = $db->insert("games")->set(
                         [
                              "title" => $title,
                              "description" => $description,
                              "instructions" => $instructions,
                              "source" => $source,
                              "category" => $category,
                              "tags" => $tags,
                              "image" => changeimage($image),
                              "slug" => $slug,
                              "dist" => $fetch_dist,
                              "created_date" => $created_date,
                         ]
                    );
               } elseif ($countlimitresult == $dbrowslimit) {
                    $callback_url = REFERER . "?fetch-callback=" . callback_encode($fetch_dist);
                     header("Location: $callback_url");
               }
          }
     }
}

if (isset($_GET['remote-add'])) {
     $create_title = $_GET['title'];
     $crete_image = changeimage($_GET['image']);
     $create_source = $_GET['source'];
     $create_category = $_GET['category'];
     $create_description = $_GET['description'];
     $create_instructions = $_GET['instructions'];
     $create_dist = $_GET['dist'];
     $create_slug = seoslug($create_title);
     $create_date = date("d-m-Y H:i:s");
     $create_game = $db->insert('games')
          ->set(
               array(
                    'title' => $create_title,
                    'image' => $crete_image,
                    'source' => $create_source,
                    'description' => $create_description,
                    'instructions' => $create_instructions,
                    'category' => $create_category,
                    'dist' => $create_dist,
                    "created_date" => $created_date,
                    'slug' => $create_slug
               )
          );
     if ($create_game) {
          $callback_url = REFERER . "?create-callback=" . callback_encode($create_title);
          header("Location: $callback_url");
     } else {
          header("Location: $base_url");
     }
}

$gd_category = $db->from('categories')
     ->orderby('id')
     ->all();
$gm_category = $db->from('categories')
     ->orderby('id')
     ->all();
$gp_category = $db->from('categories')
     ->orderby('id')
     ->all(); 
         //#ALL CATEGORIES##
$all_categories = $db->from('categories')
     ->orderby('id', 'DESC')
     ->all();

require(BACKEND . "includes/header.php");
require(BACKEND . "games/add.php");
require(BACKEND . "includes/footer.php");

?>