<?php
        ## ALL GAMES ##
        $sitemap_games = $db->from('games')
                ->all();
        $sitemap_categories = $db->from('categories')
                ->all();

        header('Content-type: application/xml');
        // configuration
        $url_prefix = $base_url; 
        $output = '<?xml version="1.0" encoding="UTF-8"?>' . "\n";
        $output .= '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">' . "\n";
        print $output;
        ?>
        <url>
        <loc><?php print $url_prefix; ?></loc>
        <lastmod><?php print date("Y-m-d") ?></lastmod>
        <changefreq>daily</changefreq>
        <priority>1</priority>
        </url>
        <?php foreach($sitemap_games as $sitemap_game): ?>
<url>
        <loc><?php print URL."game/".$sitemap_game['slug']; ?></loc>
        <lastmod><?php print date("Y-m-d") ?></lastmod>
        <changefreq>daily</changefreq>
        <priority>1</priority>
        </url>
        <?php endforeach; ?>
        <?php foreach($sitemap_categories as $sitemap_category): ?>
<url>
        <loc><?php print URL."category/".$sitemap_category['slug']; ?></loc>
        <lastmod><?php print date("Y-m-d") ?></lastmod>
        <changefreq>daily</changefreq>
        <priority>0.9</priority>
        </url>
        <?php endforeach; ?>
</urlset>
