<?php 
##EXTENSION CONFIG(html or php)##
Route::CONFIG(array(
    "extension"=>""  
    ));
//*MAIN ROUTES*//
Route::GET("/",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/index.php");
});
Route::GET("category/(.*?)",function($slug){   
    require("application/config.php");  
    require("application/controllers/frontend/category.php");  
     
});
Route::GET("game/(.*?)",function($slug){     
    require("application/config.php");  
    require("application/controllers/frontend/game.php");   
      
});
Route::GET("embed/(.*?)",function($slug){   
    require("application/config.php");  
    require("application/controllers/frontend/embed.php");  
     
});
Route::GET("new-games",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/newgames.php");
});
Route::GET("trend-games",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/trendgames.php");
});
Route::GET("search",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/search.php");
});
Route::GET("all-games",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/all-games.php");
});
Route::GET("contact",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/contact.php");
});
Route::GET("sitemap.xml",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/sitemap.php");
});
Route::GET("ads.txt",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/txt-ads.php");
});
Route::GET("robots.txt",function(){ 
    require("application/config.php");  
    require("application/controllers/frontend/txt-robots.php");
});

##AUTH##
Route::GET("auth",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/auth/login.php");
});
Route::POST("auth",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/auth/login.php");
});

##ADMIN ROUTES##
Route::GET("admin",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/index.php");
});
Route::GET("admin/games",function(){  
    require("application/config.php");   
    require("application/controllers/backend/games/games.php");
});
Route::GET("admin/games/update/(.*?)",function($slug){ 
    require("application/config.php");  
    require("application/controllers/backend/games/update.php");
}); 
Route::GET("admin/games/delete/(.*?)",function($slug){ 
    require("application/config.php");  
    require("application/controllers/backend/games/delete.php");
});
Route::GET("admin/games/add",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/games/add.php");
});
Route::GET("admin/categories",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/categories/categories.php");
});
Route::GET("admin/categories/update/(.*?)",function($slug){  
    require("application/config.php");  
    require("application/controllers/backend/categories/update.php");
});
Route::GET("admin/categories/delete/(.*?)",function($slug){ 
    require("application/config.php");  
    require("application/controllers/backend/categories/delete.php");
});
Route::GET("admin/settings",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/settings/index.php");
});
Route::POST("admin/settings",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/settings/index.php");
});
Route::GET("admin/settings/license",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/settings/license.php");
});
Route::GET("admin/settings/profile",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/settings/profile.php");
});
Route::GET("admin/collections",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/collections/index.php");
});
Route::GET("admin/collections/update/(.*?)",function($slug){ 
    require("application/config.php");  
    require("application/controllers/backend/collections/update.php");
});
Route::GET("admin/contacts",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/contacts/contacts.php"); 
});
Route::GET("admin/ad-spaces",function(){ 
    require("application/config.php");  
    require("application/controllers/backend/ad-spaces/index.php");
});


##ERROR CONFIG##
Route::ERROR(function(){
    require("application/config.php"); 
    require("application/controllers/frontend/404.php");
});
?>