<div class="container">
<div class="card mb-4">
  <div class="card-body">
    <table id="datatablesSimple" class="table m-0">
      <thead>
        <tr>
          <th>ID</th>
          <th><?= $l_gameimage; ?></th>
          <th><?= $l_gametitle; ?></th>
          <th><?= $l_totalplayed; ?></th>
          <th><?= $l_gamecategory; ?></th>
          <th><?= $l_action; ?></th>
        </tr>
      </thead>
      <tbody>
        <?php 
        $count = 1;
        foreach($allgames as $game): ?>
        <tr>
          <td><?php echo $count++; ?></td>
          <td>
            <img src="<?= IMAGE."images/".$game['image']; ?>" width="70px" style="border-radius: 5px;" />
          </td>
          <td>
            <a target="_blank" href="<?= URL."game/".$game['slug']; ?>">
              <?php echo $game['title']; ?>
              <i class="fas fa-external-link-alt fa-fw"></i>
            </a>
          </td> 
          <td><?php echo $game['views']; ?></td>
          <td><?php echo $game['category']; ?></td>
          <td>
            <a href="<?= URL."admin/games/update/".$game['slug']; ?>" class="btn btn-primary">
              <?= $l_update; ?>
              </a> 
            <a href="<?= URL."admin/games/delete/".$game['slug']; ?>" class="btn btn-danger">
              <?= $l_delete; ?>
              </a>
          </td>
        </tr>
      <?php endforeach; ?>
      </tbody>
    </table>
  </div>
</div>
</div>

