<div class="container">
  <div class="row">
    <div class="col-xl-4 col-md-6">
      <div class="card bg-primary text-white mb-4">
        <div class="card-body"><i class="fas fa-gamepad fa-lg"></i> <?= $l_totalgames; ?>: <?php echo $totalgames; ?></div>
        <div class="card-footer d-flex align-items-center justify-content-between">
          <a class="small text-white stretched-link" href="<?= URL."admin/games"; ?>"><?= $l_viewall; ?></a>
          <div class="small text-white">
            <i class="fas fa-chevron-circle-right"></i>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xl-4 col-md-6">
      <div class="card bg-warning text-white mb-4">
        <div class="card-body"><?= $l_totalcategories; ?> : <?php echo $totalcategories; ?></div>
        <div class="card-footer d-flex align-items-center justify-content-between">
          <a class="small text-white stretched-link" href="<?= URL."admin/categories"; ?>"><?= $l_viewall; ?></a>
          <div class="small text-white">
            <i class="fas fa-chevron-circle-right"></i>
          </div>
        </div>
      </div> 
    </div>
    <div class="col-xl-4 col-md-6">
      <div class="card bg-success text-white mb-4">
        <div class="card-body"><?= $l_totalplayed; ?>: <?php echo $totalplayed; ?> </div>
        <div class="card-footer d-flex align-items-center justify-content-between">
          <a class="small text-white stretched-link" href="<?= URL."admin/games"; ?>"><?= $l_viewall; ?></a>
          <div class="small text-white">
            <i class="fas fa-chevron-circle-right"></i>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="card mb-4">
    <div class="card-header">
      <i class="fas fa-chart-line me-1"></i> <?= $l_top50; ?>
    </div>
    <div class="card-body table-responsive">
      <!--datatablesSimple-->
      <table id="datatablesSimple" class="table m-0">
        <thead>
          <tr>
            <th>ID</th>
            <th><?= $l_gameimage; ?></th>
            <th><?= $l_gametitle; ?></th>
            <th><?= $l_totalplayed; ?></th>
            <th><?= $l_gamecategory; ?></th> 
            <th><?= $l_action; ?></th>
          </tr>
        </thead>
        <tbody>
          <?php 
          $count = 1;
          foreach($topgames as $topgame): ?>
            <tr>
              <td><?php echo $count++; ?></td>
              <td>
                <img src="<?= IMAGE."images/".$topgame['image']; ?>" width="70px" style="border-radius: 5px;" />
              </td>
              <td>
                <a target="_blank" href="<?= URL."game/".$topgame['slug']; ?>">
                  <?php echo $topgame['title']; ?>
                  <i class="fas fa-external-link-alt fa-fw"></i>
                </a>
              </td>
              <td><?php echo $topgame['views']; ?></td>
              <td><?php echo $topgame['category']; ?></td>
              <td>
                <a href="<?= URL."admin/games/update/".$topgame['slug']; ?>" class="btn btn-primary">
                  <?= $l_update; ?>
                </a> 
                <a href="<?= URL."admin/games/delete/".$topgame['slug']; ?>" class="btn btn-danger">
                  <?= $l_delete; ?>
                </a>
              </td>
            </tr>
          <?php endforeach; ?>
        </tbody>
      </table>
    </div>
  </div>
</div>

