<!doctype html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
      <meta name="viewport" content="width=device-width, maximum-scale=1.0, initial-scale=1.0, user-scalable=no, minimal-ui">
      <link rel="shortcut icon" type="image/png" href="<?= IMAGE."static/".$siteicon; ?>">
      <title><?= $gametitle ?> - <?= $sitename; ?></title>
      <link rel="stylesheet" type="text/css" href="<?= FRONTEND_THEME."assets/css/embed.css?v=".time();?>"/>
   </head>
   <body>
      <div id="gamify-player">
         <div id="frame-game">
            <img id="game-img" src="<?= IMAGE."images/".$gameimage; ?>"/>
            <h1 id="game-title"><?= $gametitle ?></h1>
            <p id="game-description"><?= character_limiter($gamedescription, 400); ?></p>
            <button id="viewframe" class="button" onclick="displayIframe()"><?= $l_startgame ?></button>
            <div id="iframeDisplay"></div>
            <a href="<?= URL; ?>" id="watermark" target="_blank">
            <img  src="<?= IMAGE."static/".$siteicon; ?>"/><?= $sitename; ?> Games
            </a>
            <a id="button" class="fullscren">
               <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrows-angle-expand" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M5.828 10.172a.5.5 0 0 0-.707 0l-4.096 4.096V11.5a.5.5 0 0 0-1 0v3.975a.5.5 0 0 0 .5.5H4.5a.5.5 0 0 0 0-1H1.732l4.096-4.096a.5.5 0 0 0 0-.707zm4.344-4.344a.5.5 0 0 0 .707 0l4.096-4.096V4.5a.5.5 0 1 0 1 0V.525a.5.5 0 0 0-.5-.5H11.5a.5.5 0 0 0 0 1h2.768l-4.096 4.096a.5.5 0 0 0 0 .707z"/>
               </svg>
            </a>
         </div>
      </div>
   </body>
   <script>
      function displayIframe() {
        const framesource= "<iframe src='<?= $gameembed ?>'' frameborder='0' ></iframe>";
          document.getElementById("iframeDisplay").innerHTML = framesource;
        var x = document.getElementById("viewframe");
          if (x.style.display === "none") {
            x.style.display = "block";
          } else {
            x.style.display = "none";
          }
      }
      let fullscreen = document.querySelector("#gamify-player");
      let button = document.querySelector("#button");
      
      button.addEventListener("click", () => {
          if (!document.fullscreenElement) {
              fullscreen?.requestFullscreen();
          } else {
              document.exitFullscreen();
          }
      });
   </script>
   </body>
</html>