<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="robots" content="all"/>
        <meta name="theme-color" content="#212529"/>
        <title><?= $title; ?></title>
        <meta name="description" content="<?= $description; ?>">
        <meta name="keywords" content="<?= $sitekeywords; ?>">
        <meta name="author" content="<?= $sitename; ?>">
        <meta name="publisher" content="<?= $sitename; ?>"/>
        <meta name="application-name" content="<?= $sitename; ?>">
        <link rel="canonical" href="<?= $canonical; ?>"/>
        <link rel="alternate" href="<?= $alternate; ?>"/>
        <link rel="shortcut icon" sizes="16x16 24x24 32x32 48x48" href="<?= IMAGE."static/".$siteicon; ?>">
        <link rel="stylesheet" type="text/css" href="<?= FRONTEND_THEME."assets/css/style.css?v=".time();?>"/>
        <link rel="stylesheet" type="text/css" href="<?= FRONTEND_THEME."assets/css/custom.css?v=".time();?>"/>
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
        <?= $site_adsense_activation; ?> 
    </head>
<body>
<header id="topnav-menu">
    <div class="topnav-main">
        <div class="container-fluid topnav-back">
            <div class="topnav-left">
                <a href="<?= URL; ?>" class="logo">
                    <img class="logoimage" src="<?= IMAGE."static/".$sitelogo; ?>" alt="<?= $title ?>" title="<?= $title ?>" width="125" height="60">
                </a>
                <a href="<?= URL; ?>" class="top-text" title="<?= $l_allgames ?>"><i class="fa fa-home fa-lg"></i> <?= $l_allgames ?></a>
                <a href="<?= URL."new-games";?>" class="top-text" title="<?= $l_newgames ?>"><i class="fa fa-rocket fa-lg"></i> <?= $l_newgames ?></a>
                <a href="<?= URL."trend-games";?>" class="top-text" title="<?= $l_trendgames ?>"><i class="fa fa-rocket fa-lg"></i> <?= $l_trendgames ?></a>
                <a href="<?= URL."contact";?>" class="top-text" title="<?= $l_contacts ?>"><i class="fa fa-envelope fa-lg"></i> <?= $l_contact ?></a>
            </div>
            <div>
                <ul class="nav navbar-nav pull-right">
                    <li class="nav-item dropdown item-list">
                        <a href="search" type="button" class="nav-mod nav-search-icon btn cat-color nav-link nav-icon dropdown-toggle item-arrow-none" data-toggle="modal" data-target="#searchModal" title="search game">
                           <i class="fa fa-search fa-lg"></i>
                        </a>
                    </li>
                    <li class="nav-item dropdown item-list">
                        <a href="external" type="button" class="nav-mod nav-search-icon btn cat-color nav-link nav-icon dropdown-toggle item-arrow-none" data-toggle="modal" data-target="#categoriesModal" title="search game">
                           <i class="fa fa-bars fa-lg"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</header>
