<?php
        ##GENERAL CHARACTER LIMITER##
        function character_limiter($text, $limit){
          if(strlen($text)<=$limit){
            echo $text;
          }
          else{
            $res=substr($text,0,$limit).'..';
            echo $res;
          }
        }
        ##API -- CREATE SEO URL##
        function seoslug($text){
            $fing = array('ş','Ş','ı','I','İ','ğ','Ğ','ü','Ü','ö','Ö','Ç','ç','(',')','/',' ',',','?',':','&');
            $change = array('s','s','i','i','i','g','g','u','u','o','o','c','c','','','-','-','','','','');
            $text = str_replace($fing,$change,$text);
            $text = strtolower($text);
            $text = preg_replace('/&amp;amp;amp;amp;amp;amp;amp;amp;amp;.+?;/', '', $text);
            $text = preg_replace('/\s+/', '-', $text);
            $text = preg_replace('|-+|', '-', $text);
            $text = preg_replace('/#/', '', $text);
            $text = str_replace('.', '', $text);
            $text = trim($text, '-');
            return $text;
        }
        ##API -- CHANGE IMAGE TYPE & DOWNLOAD##
        function changeimage($url){
            $imagename= (int) (microtime(true) * 1000000000);
            $typ = '.webp';
            $img = $imagename.$typ;
            file_put_contents(UPLOADS."images/".$img, file_get_contents($url));
            return $imagename.'.webp';
        }
        ##API -- CLEAR TITLE SPECIALCHAR##
        function cleartitle($text){
            $inp = str_replace('-','',$text);
            $textres= mb_convert_case($inp, MB_CASE_TITLE, "UTF-8");
            return $textres;
        }
        ##CALLBACK GET URL ENCODE##
        function callback_encode($text){
            $generate= base64_encode($text);
            return $generate;
        }
        ##CALLBACK GET URL DECODE##
        function callback_decode($text){
            $generate= base64_decode($text);
            return $generate;
        }
        ##PURIFIER##
        function code_purifier($data){
            $data = trim($data);
            $data = stripslashes($data);
            $data = htmlspecialchars($data);
            return $data;
        }


?>