<div class="container">
<div class="row">
<div class="col-xl-8">
<div class="card mb-4">
    <div class="card-header">
    <i class="fas fa-th-large me-1"></i> All Categories
  </div>
  <div class="card-body">
    <table id="datatablesSimple" class="table m-0">
      <thead>
        <tr>
          <th>ID</th>
          <th>Category Name</th>
          <th>Action</th> 
        </tr>
      </thead>
      <tbody>
        <?php 
        $count = 1;
        foreach($allcategories as $category): ?>
        <tr>
          <td><?php echo $count++; ?></td>
          <td><?php echo $category['name']; ?></td>
          <td>
            <a href="<?= URL."admin/categories/update/".$category['slug']; ?>" class="btn btn-primary">
              <?= $l_update; ?>
              </a> 
            <a href="<?= URL."admin/categories/delete/".$category['slug']; ?>" class="btn btn-danger">
              <?= $l_delete; ?>
              </a>
          </td>
        </tr>
      <?php endforeach; ?>
      </tbody>
    </table>
  </div>
</div>
</div>
<div class="col-xl-4">
  <div class="card mb-4">
  <div class="card-header">
    <i class="fas fa-plus-circle me-1"></i> <?= $l_add_new_category; ?>
  </div>
  <div class="card-body">
    <form action="" method="get">
        <div class="mb-3">
          <label for="name"><?= $l_name; ?></label>
          <input class="form-control form-control-solid" name="category-name" type="text" placeholder="eg: Puzzle" required="">
        </div>
        <div class="mb-3">
          <label for="name"><?= $l_title; ?></label>
          <input class="form-control form-control-solid" name="category-title" type="text" placeholder="eg: Puzzle Games" required="">
        </div>
        <div class="mb-3">
          <label for="name"><?= $l_description; ?></label>
          <textarea class="form-control form-control-solid" name="category-description" placeholder="eg: Play Puzzle Game From Gamify" required=""></textarea>
        </div>
        <div class="mb-3">
          <label for="name"><?= $l_keywords; ?></label>
          <input class="form-control form-control-solid" name="category-keywords" type="text" placeholder="eg: puzzle, play puzzle, play puzzle online," required="">
        </div>
        <button class="btn btn-success" name="add-category" style="background:green;"><?= $l_save; ?></button>
    </form>
  </div>
</div>
</div>
</div>
</div>

