<!--CATEGORIES MODAL START!-->
<div class="modal fade" id="categoriesModal" tabindex="-1" role="dialog" aria-labelledby="CategoriesModalArea" aria-hidden="true">
   <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
         <div class="modal-body">
            <h5 class="modal-title" id="categories"><?= $l_collections ?>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <i class="fa fa-close fa-lg"></i>
               </button>
            </h5>
            <p class="modal-summary"><?= $l_collections_modal_summary; ?></p>
            <a href="<?= URL;?>" title="<?= $l_allgames ?>" class="external btn button">
            <i class="fa fa-rocket"></i> 
            <?= $l_allgames ?>
            </a>
            <a href="<?= URL."new-games";?>" title="<?= $l_newgames ?>" class="external btn button">
            <i class="fa fa-rocket"></i> 
            <?= $l_newgames ?>
            </a>
            <a href="<?= URL."trend-games";?>" title="<?= $l_trendgames ?>" class="external btn button">
            <i class="fa fa-rocket"></i> 
            <?= $l_trendgames ?>
            </a>
            <a href="<?= URL."contact";?>" title="<?= $l_trendgames ?>" class="external btn button">
            <i class="fa fa-envelope"></i> 
            <?= $l_contact ?>
            </a>
            <h5 class="modal-title" id="categories"><?= $l_categories ?></h5>
            <p class="modal-summary"><?= $l_categories_modal_summary; ?></p>
            <?php foreach($categories as $category): ?>
            <a href="<?= URL. "category/".$category['slug']; ?>" title="<?= $category['name']; ?>" class="external btn button">
            <?= $category['name']; ?>
            </a>
            <?php endforeach; ?>
         </div>
      </div>
   </div>
</div>
<!--CATEGORIES MODAL END!-->
<!--SEARCH MODAL START!-->
<div class="modal fade" id="searchModal" tabindex="-1" role="dialog" aria-labelledby="SearchModalArea" aria-hidden="true">
   <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
         <div class="modal-body">
            <h5 class="modal-title" id="search"><?= $l_search_games ?>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <i class="fa fa-close fa-lg"></i>
               </button>
            </h5>
            <p class="modal-summary"><?= $l_search_area_description; ?></p>
            <form method="GET" action="<?= URL."search"; ?>">
               <div class="form-group">
                  <input id="searchArea" type="text" class="form-control" name="q" 
                     placeholder="<?= $l_searchbar ?>">
                  <button type="submit" class="btn button">
                  <i class="fa fa-search fa-lg"></i> <?= $l_search_games ?></button>
               </div>
            </form>
         </div>
      </div>
   </div>
</div>
<!--SEARCH MODAL END!-->
